%define name btrsnap
%define version 1.01
%define release 1

Summary:       btrfs snapshot creation and expiration helper for cron
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source0:       %{name}-%{version}.tar.gz
BuildArch:     noarch
License:       GPL
Group:         System Environment/Base

%description
btrsnap is a simple program that is meant to be called from crontab on a
btrfs system to take regular snapshots and expire old ones.  btrfs allows
for creation of light-weight snapshots.  Have you ever wanted to retrieve a
copy of a file or your browser bookmarks or the list of files in a
directory 5 minutes ago?  Or an hour ago, or any period more recent than a
daily backup?  btrsnap helps with creating and expiring snapshots.

%prep
%setup
%build

%install
mkdir -p "$RPM_BUILD_ROOT"/usr/sbin
cp btrsnap "$RPM_BUILD_ROOT"/usr/sbin
chmod 755 "$RPM_BUILD_ROOT"/usr/sbin/btrsnap

%files
%defattr(-,root,root)
%doc README LICENSE
/usr/sbin/*
